<?php 


class DaoTipo_documento extends conexao {

public function Atualizar(tipo_documento $tipo_documento) {

try {

if ($tipo_documento->getTip_cd() != '') {

$sql = " UPDATE tipo_documento SET
tip_subtipo = ?,
tip_nome = ?
WHERE tip_cd = ? ";

$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $tipo_documento->getTip_subtipo());
$stmt->bindValue(2, $tipo_documento->getTip_nome());
$stmt->bindValue(3, $tipo_documento->getTip_cd());


} else {

$sql = " INSERT INTO tipo_documento (tip_subtipo,tip_nome)
VALUES (?,?)";


$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $tipo_documento->getTip_subtipo());
$stmt->bindValue(2, $tipo_documento->getTip_nome());


}
if ($stmt->execute()){
return true;
} else
return false;

} catch (Exception $e) {
print "Erro ao tentar atualizar: ".$e;
}

}

public function PesquisarTipo_documento($codigo){
$sql = " SELECT * FROM tipo_documento WHERE tip_cd = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $codigo);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function ListarTipo_documento(){
$sql = " SELECT * FROM tipo_documento ORDER BY tip_cd ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}


public function ProximoId(){
$sql = " SELECT COALESCE(MAX(tip_cd), 0) + 1 AS PROXIMO_REGISTRO FROM tipo_documento ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

	
public function deletar($tip_cd){		
$sql = " DELETE FROM tipo_documento WHERE tip_cd = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $tip_cd); 
$stmt->execute();
}

 
}
